## 数据源配置
#spring:
#    datasource:
#        dynamic:
#            strict: true
#            primary: base
#            datasource:
#                victoriatourist:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_victoriatourist?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                common:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_common?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                oa:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_oa?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                mes:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_mes?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                wms:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_wms?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                item:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_item?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                supply:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_supply?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                base:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_base?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                iot:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_iot?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                customer:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_customer?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                purchase:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_purchase?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                account:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                sale:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_sale?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                mail:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_mail?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                kd100:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_kd100?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                ehsd:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_ehsd?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#                jxst:
#                    url: jdbc:mysql://110.41.2.116:23063/bytesailing_jxst?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
#                    username: bytesailing_db_user
#                    password: kfG-A93-w7h-qX8
#
#    # redis 配置
#    redis:
#        # 地址
#        host: 139.9.102.170
#        # 端口，默认为6379
#        port: 9673
#        # 数据库索引
#        database: 1
#        # 密码
#        password: ss34dsA3DdsF
#        # 连接超时时间
#        timeout: 10s
#        lettuce:
#            pool:
#                # 连接池中的最小空闲连接
#                min-idle: 0
#                # 连接池中的最大空闲连接
#                max-idle: 8
#                # 连接池的最大数据库连接数
#                max-active: 8
#                # #连接池最大阻塞等待时间（使用负值表示没有限制）
#                max-wait: -1ms
#
#server:
#    servlet:
#        context-path: /prod-api
#
#mail:
#    # 调用邮箱服务url前缀
#    urlPrefix: http://localhost:8088/mailService/
#    abroadUrlPrefix:
#    #abroadUrlPrefix: http://159.138.54.234:8088/mailService/
#
#hx:
#    httpUrl: http://139.159.251.109:81/prod-api/
#
## token配置
#token:
#    # 令牌自定义标识
#    header: Authorization
#    # 令牌密钥
#    secret: abcdefghijklmnopqrstuvwxyz
#    # 令牌有效期（默认30分钟）
#    expireTime: 240

# 数据源配置
spring:
    datasource:
        dynamic:
            strict: true
            primary: base
            datasource:
                victoriatourist:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_victoriatourist?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                common:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_common?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                oa:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_oa?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                mes:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_mes?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                wms:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_wms?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                item:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_item?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                supply:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_supply?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                base:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_base?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                iot:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_iot?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                customer:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_customer?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                purchase:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_purchase?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                account:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                sale:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_sale?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                mail:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_mail?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                kd100:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_kd100?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                ehsd:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_ehsd?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa
                jxst:
                    url: jdbc:mysql://121.37.194.75:30102/bytesailing_jxst?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: 5fWD*oa^nso@kmKa

    # redis 配置
    redis:
        # 地址
        host: 121.37.194.75
        # 端口，默认为6379
        port: 30103
        # 数据库索引
        database: 5
        # 密码
        password: Fjhx@pwd123
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms

server:
    port: 9901
    servlet:
        context-path: /

mail:
    # 调用邮箱服务url前缀
    urlPrefix:
    abroadUrlPrefix:

hx:
    httpUrl: http://36.134.91.96:10006/test-api/

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 2880